Update · Management API
Update
PUT
/CostCentersRequest-Header
AuthorizationBASIC am9obi5kb2VAZXhhbXBsZS5jb206bTJ2SWlzSVlFajBaNHljKontext: Cost center management
Property Description
Cost center (object)
| Property | Data type | Description |
|---|---|---|
| Code | String | The id of the cost center |
| InternalName | String | The internally visible name of the cost center |
| ExternalName | String | Translations of the cost centers name visible to end users |
| BillingAddress | Object | The BillingAddress object holding information about the billing address |
BillingAddress (object)
| Property | Data type | Description |
|---|---|---|
| Name | String | The name of the billing address |
| AddressLine1 | String | The first address line of the billing address |
| AddressLine2 | String | The second address line of the billing address |
| PostalCode | String | The postal code of the billing address |
| City | String | The city of the billing address |
| Country | String | The country of the billing address |
Originaler Blueprint-Ausschnitt
API Blueprint
### Update [PUT]
+ Request
+ Headers
Authorization : BASIC am9obi5kb2VAZXhhbXBsZS5jb206bTJ2SWlzSVlFajBaNHlj
+ Body
{
"StoreId": "ZZZ-ZZZZ"
"Code": "H38UJ",
"InternalName": "Conference Room Employee",
"ExternalName": [
{
"lang": "en-US",
"val": "Conference Room A"
},
{
"lang": "de-DE",
"val": "Konferenzraum A"
}
],
"BillingAddress": {
"Name": "Conference Room A"
"AddressLine1": "Doyle Shoals",
"AddressLine2": "Suite 908",
"PostalCode": "26483",
"City": "Millerchester",
"Country": "Ireland"
}
}
+ Response 200
+ Body
{
"Code": "H38UJ",
"InternalName": "Conference Room Employee",
"ExternalName": [
{
"lang": "en-US",
"val": "Conference Room A"
},
{
"lang": "de-DE",
"val": "Konferenzraum A"
}
],
"BillingAddress": {
"Name": "Conference Room A"
"AddressLine1": "Doyle Shoals",
"AddressLine2": "Suite 908",
"PostalCode": "26483",
"City": "Millerchester",
"Country": "Ireland"
}
}